aboutsummaryrefslogtreecommitdiffstats
path: root/.travis/downstream.d/paramiko.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/downstream.d/paramiko.sh')
-rwxr-xr-x.travis/downstream.d/paramiko.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/.travis/downstream.d/paramiko.sh b/.travis/downstream.d/paramiko.sh
new file mode 100755
index 00000000..ccba686d
--- /dev/null
+++ b/.travis/downstream.d/paramiko.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+case "${1}" in
+ install)
+ git clone --depth=1 https://github.com/paramiko/paramiko
+ cd paramiko
+ pip install -e .
+ pip install -r dev-requirements.txt
+ ;;
+ run)
+ cd paramiko
+ inv test
+ ;;
+ *)
+ exit 1
+ ;;
+esac